Skip to main content
`Ctrl`+`K`

# EPSSetDS

Associates a direct solver object to the eigensolver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetDS(EPS eps,DS ds)

Collective

## Input Parameters

- eps - the linear eigensolver context

- ds - the direct solver object

## Note

Use `EPSGetDS()` to retrieve the direct solver context at a later time (for example, to free it at the end of the computations).

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetDS()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages